Index: memberdef.cpp
===================================================================
--- memberdef.cpp	(revision 831)
+++ memberdef.cpp	(working copy)
@@ -219,7 +219,10 @@
       if (a->type!="...")
       {
         if (!cName.isEmpty()) n=addTemplateNames(n,cd->name(),cName);
-        linkifyText(TextGeneratorOLImpl(ol),cd,md->getBodyDef(),md,n);
+        if(cd)
+          linkifyText(TextGeneratorOLImpl(ol),cd,md->getFileDef(),md,n);
+        else
+          linkifyText(TextGeneratorOLImpl(ol),md->getNamespaceDef(),md->getFileDef(),md,n);
       }
     }
     if (!isDefine)
@@ -1651,8 +1654,12 @@
   if (argsString() && !isObjCMethod()) 
   {
     if (!isDefine()) ol.writeString(" ");
+    // if there is a namespace associated with the function, use it
+    // during linkification
+    Definition* nd = this->getNamespaceDef();
+    if(!nd) nd = this;
     linkifyText(TextGeneratorOLImpl(ol), // out
-                d,                       // scope
+                nd,                      // scope
                 getBodyDef(),            // fileScope
                 this,                    // self
                 argsString(),            // text
